Improbable Icon

SpatialOS Forums

I have got a complier error in sdk-for-unity-wizards-tutorial sample

I have got a complier error in sdk-for-unity-wizards-tutorial sample.
I’m using Unity2019.1.6f1, after downloaded from https://github.com/spatialos/sdk-for-unity-wizards-tutorial, and opened unity, I got the error message:

Library\PackageCache\com.unity.textmeshpro@2.0.1\Scripts\Editor\TMP_PackageUtilities.cs(310,17): error CS0433: The type ‘Task’ exists in both ‘System.Threading, Version=1.0.2856.102, Culture=neutral, PublicKeyToken=31bf3856ad364e35’ and ‘mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089’

There are two System.Threading.dlls in my directories. One is in Assets\Plugins\Improbable\Sdk\Dll, which is the old one I think. The other one is in my Unity directory, Editor\Data\MonoBleedingEdge\lib\mono\4.7-api\Facades, which is the newest one.

I have tried that copying the newest one to my Assets\Plugins\Improbable\Sdk\Dll directory, but it won’t work, I just got “loaded failed” error there. Becuse the size of the old dll is 379k, but the new one is 6K.

How could I solve the problem?

Hi @Footman,

The Wizards tutorial has been archived along with the SDK for Unity and has not been worked on for over 8 months. We do not guarantee that it will still be functional or compatible with Unity2019.1.6f1.

We now suggest that all newcomers to SpatialOS get started with the GDK for Unity and it’s associated starter project.

https://docs.improbable.io/unity/alpha/welcome